OpenNMS API 1.2.9

## org.opennms.web.admin.views.parsers
Class View

    java.lang.Object
      org.opennms.web.admin.views.parsers.View

All Implemented Interfaces:
  java.lang.Cloneable

public class View
extends java.lang.Object
implements java.lang.Cloneable

Field Summary
`private java.util.List` `m_categories`
`private java.lang.String` `m_commonRule`
`private java.util.List` `m_groupMembers`
`private java.util.List` `m_userMembers`
`private java.lang.String` `m_viewComments`
`private java.lang.String` `m_viewName`
`private java.lang.String` `m_viewTitle`

Constructor Summary
`View()`

Method Summary
`void` `addCategory(Category aCategory)`
`void` `addGroupMember(java.lang.String aMember)`
`void` `addUserMember(java.lang.String aMember)`
`void` `clearGroupMembers()`
`void` `clearUserMembers()`
`java.lang.Object` `clone()`
`java.util.List` `getCategories()`
`java.util.Map` `getCategoriesMap()`
`int` `getCategoryCount()`
`java.lang.String` `getCommon()` This method returns the common rule for the view
`java.util.List` `getGroupMembers()`
`java.util.List` `getMembers()`
`java.util.List` `getUserMembers()`
`java.lang.String` `getViewComments()`
`java.lang.String` `getViewName()`
`java.lang.String` `getViewTitle()`
`boolean` `hasGroupMember(java.lang.String name)`
`boolean` `hasUserMember(java.lang.String name)`
`void` `removeGroupMember(java.lang.String aMember)`
`void` `removeUserMember(java.lang.String aMember)`
`void` `setCategories(java.util.List categories)`
`void` `setCategories(java.util.Map categories)`
`void` `setCommon(java.lang.String common)` This method sets the common rule for the view
`void` `setGroupMembers(java.util.List groups)`
`void` `setUserMembers(java.util.List users)`
`void` `setViewComments(java.lang.String aValue)`
`void` `setViewName(java.lang.String aValue)`
`void` `setViewTitle(java.lang.String aValue)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_viewName

    private java.lang.String m_viewName

### m_viewTitle

    private java.lang.String m_viewTitle

### m_viewComments

    private java.lang.String m_viewComments

### m_commonRule

    private java.lang.String m_commonRule

### m_userMembers

    private java.util.List m_userMembers

### m_groupMembers

    private java.util.List m_groupMembers

### m_categories

    private java.util.List m_categories

Constructor Detail

### View

    public View()

Method Detail

### clone

    public java.lang.Object clone()

### setViewName

    public void setViewName(java.lang.String aValue)

### setViewTitle

    public void setViewTitle(java.lang.String aValue)

### setViewComments

    public void setViewComments(java.lang.String aValue)

### setCommon

    public void setCommon(java.lang.String common)

  This method sets the common rule for the view

  Parameters:
    `common` - the common rule.

### getCommon

    public java.lang.String getCommon()

  This method returns the common rule for the view

  Returns:
    the common rule.

### addCategory

    public void addCategory(Category aCategory)

### getViewName

    public java.lang.String getViewName()

### getViewTitle

    public java.lang.String getViewTitle()

### getViewComments

    public java.lang.String getViewComments()

### getUserMembers

    public java.util.List getUserMembers()

### setUserMembers

    public void setUserMembers(java.util.List users)

### addUserMember

    public void addUserMember(java.lang.String aMember)

### removeUserMember

    public void removeUserMember(java.lang.String aMember)

### clearUserMembers

    public void clearUserMembers()

### getGroupMembers

    public java.util.List getGroupMembers()

### setGroupMembers

    public void setGroupMembers(java.util.List groups)

### getMembers

    public java.util.List getMembers()

### addGroupMember

    public void addGroupMember(java.lang.String aMember)

### removeGroupMember

    public void removeGroupMember(java.lang.String aMember)

### clearGroupMembers

    public void clearGroupMembers()

### hasUserMember

    public boolean hasUserMember(java.lang.String name)

### hasGroupMember

    public boolean hasGroupMember(java.lang.String name)

### getCategories

    public java.util.List getCategories()

### getCategoriesMap

    public java.util.Map getCategoriesMap()

### setCategories

    public void setCategories(java.util.List categories)

### setCategories

    public void setCategories(java.util.Map categories)

### getCategoryCount

    public int getCategoryCount()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.